VersionNumber (Gradle API 8.14.5)
Description: declaration: package: org.gradle.util, class: VersionNumber

Package org.gradle.util

# Class VersionNumber

java.lang.Object
org.gradle.util.VersionNumber

All Implemented Interfaces:
  `Comparable<VersionNumber>`

@Deprecated public class VersionNumber extends Object implements Comparable<VersionNumber>
Deprecated.
Will be removed in Gradle 9.0.
This class is only here to maintain binary compatibility with existing plugins.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `VersionNumber.Scheme`
  Deprecated.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final VersionNumber`
  `UNKNOWN`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VersionNumber(int major, int minor, int micro, int patch, String qualifier)`
  Deprecated.
  `VersionNumber(int major, int minor, int micro, String qualifier)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(VersionNumber other)`
  Deprecated.
  `boolean`
  `equals(Object other)`
  Deprecated.
  `VersionNumber`
  `getBaseVersion()`
  Deprecated.
  `int`
  `getMajor()`
  Deprecated.
  `int`
  `getMicro()`
  Deprecated.
  `int`
  `getMinor()`
  Deprecated.
  `int`
  `getPatch()`
  Deprecated.
  `String`
  `getQualifier()`
  Deprecated.
  `int`
  `hashCode()`
  Deprecated.
  `static VersionNumber`
  `parse(String versionString)`
  Deprecated.
  `static VersionNumber.Scheme`
  `scheme()`
  Deprecated.
  Returns the default MAJOR.MINOR.MICRO-QUALIFIER scheme.
  `String`
  `toString()`
  Deprecated.
  `static VersionNumber`
  `version(int major)`
  Deprecated.
  `static VersionNumber`
  `version(int major, int minor)`
  Deprecated.
  `static VersionNumber.Scheme`
  `withPatchNumber()`
  Deprecated.
  Returns the MAJOR.MINOR.MICRO.PATCH-QUALIFIER scheme.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### UNKNOWN

    public static final VersionNumber UNKNOWN
    Deprecated.

- ## Constructor Details

  - ### VersionNumber

    public VersionNumber(int major, int minor, int micro, @Nullable String qualifier)
    Deprecated.

  - ### VersionNumber

    public VersionNumber(int major, int minor, int micro, int patch, @Nullable String qualifier)
    Deprecated.

- ## Method Details

  - ### getMajor

    public int getMajor()
    Deprecated.

  - ### getMinor

    public int getMinor()
    Deprecated.

  - ### getMicro

    public int getMicro()
    Deprecated.

  - ### getPatch

    public int getPatch()
    Deprecated.

  - ### getQualifier

    @Nullable public String getQualifier()
    Deprecated.

  - ### getBaseVersion

    public VersionNumber getBaseVersion()
    Deprecated.

  - ### compareTo

    public int compareTo(VersionNumber other)
    Deprecated.
    Specified by:
      `compareTo` in interface `Comparable<VersionNumber>`

  - ### equals

    public boolean equals(@Nullable Object other)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`

  - ### version

    public static VersionNumber version(int major)
    Deprecated.

  - ### version

    public static VersionNumber version(int major, int minor)
    Deprecated.

  - ### scheme

    public static VersionNumber.Scheme scheme()
    Deprecated.
    Returns the default MAJOR.MINOR.MICRO-QUALIFIER scheme.

  - ### withPatchNumber

    public static VersionNumber.Scheme withPatchNumber()
    Deprecated.
    Returns the MAJOR.MINOR.MICRO.PATCH-QUALIFIER scheme.

  - ### parse

    public static VersionNumber parse(String versionString)
    Deprecated.